# Mint

Use this endpoint to mint from a launchpad

{% hint style="info" %}

* During high demand mints it is possible that we cannot mint the requested `count` due to orders that came before you. In this case we will mint less than the requested count.
* The final mint count will always be contained in the field finalMintCount, refer to this field to see how much of your order has completed
* In high demand scneraios, if your order was paid but the launchpad minted out before processing your order we will add the `error` `rune minted out to your order`. Reach out for refund in this scenario.
  {% endhint %}

### `POST` a new mint order

## Mint from launchpad

<mark style="color:green;">`POST`</mark> `https://api.ordinalsbot.com/runes/launchpad/mint`

#### Request Body

<table><thead><tr><th width="168">Name</th><th width="106">Type</th><th>Description</th></tr></thead><tbody><tr><td>id<mark style="color:red;">*</mark></td><td>String</td><td>The launchpad id</td></tr><tr><td>count<mark style="color:red;">*</mark></td><td>Number</td><td>How many items you want to mint</td></tr><tr><td>fee<mark style="color:red;">*</mark></td><td>Number</td><td>The chain fee per vbyte for the order</td></tr><tr><td>receiveAddress<mark style="color:red;">*</mark></td><td>String</td><td>Address to send the minted runes</td></tr><tr><td>referral</td><td>String</td><td>Referral code to earn up to %15 of the order base fee.</td></tr><tr><td>additionalFee</td><td>Number</td><td><p>Amount of satoshis to charge extra for this order that will be added to "referral" account.</p><p>Needs to be used together with "referral" parameter.</p><p><strong>Note: additionalFee is added per saleMultiplier.</strong></p></td></tr><tr><td>webhookUrl</td><td>String</td><td><p>Webhook URL to receive a POST payload for order updates.</p><p>Refer to <a href="https://docs.ordinalsbot.com/api/webhooks">Webhooks</a> for format of the webhook payload.</p></td></tr><tr><td>postage</td><td>Number</td><td><p>Set custom postage for the order's asset: minimum 330 sats, maximum 10,000 sats.</p><p></p><p>(default=546)</p></td></tr></tbody></table>

{% tabs %}
{% tab title="200: OK " %}

```json
{
    "charge": {
        "id": "41d6df1a-ca2b-4915-84f8-757d8fa80f7d",
        "description": "shitcoin•paradise",
        "desc_hash": false,
        "created_at": 1714736914,
        "status": "unpaid",
        "amount": 124376,
        "success_url": null,
        "hosted_checkout_url": "https://checkout.opennode.com/41d6df1a-ca2b-4915-84f8-757d8fa80f7d",
        "order_id": null,
        "currency": "BTC",
        "source_fiat_value": 124376,
        "fiat_value": 68.46,
        "auto_settle": false,
        "notif_email": null,
        "address": "3QxHEA3qS4pQXCk17b9Kuhuh5MRxtiLAzy",
        "metadata": {},
        "chain_invoice": {
            "address": "3QxHEA3qS4pQXCk17b9Kuhuh5MRxtiLAzy"
        },
        "uri": "bitcoin:3QxHEA3qS4pQXCk17b9Kuhuh5MRxtiLAzy?amount=0.00124376&label=shitcoin%E2%80%A2paradise&lightning=lnbc1243760n1pnrfncjpp5j2vtfylxrn88v2cskms9nyezgccq8j7x6aq3en727chxrk8cv9xqdqlwd5xjarrda5kac5q5fcxzunpv35hxegcqzzsxqy8ayqsp55ej6qufnfm78f4wp2h8hj8q98vq7wj3tfe4hhk5kwyv69jga53ts9qyyssq4f2258nazp0y5nr8hsz0rdypuxsep5m59tke0g8el422cfpkelz8s2ywhclglnd30gwfe0qn0xclapt4kl433u9tev437cj9s36e0ecpk89jh4",
        "ttl": 4320,
        "lightning_invoice": {
            "expires_at": 1714996114,
            "payreq": "lnbc1243760n1pnrfncjpp5j2vtfylxrn88v2cskms9nyezgccq8j7x6aq3en727chxrk8cv9xqdqlwd5xjarrda5kac5q5fcxzunpv35hxegcqzzsxqy8ayqsp55ej6qufnfm78f4wp2h8hj8q98vq7wj3tfe4hhk5kwyv69jga53ts9qyyssq4f2258nazp0y5nr8hsz0rdypuxsep5m59tke0g8el422cfpkelz8s2ywhclglnd30gwfe0qn0xclapt4kl433u9tev437cj9s36e0ecpk89jh4"
        }
    },
    "launchpadId": "shitcoin•paradise",
    "fee": 30,
    "serviceFee": 9000,
    "price": 1,
    "count": 800,
    "postage": 546,
    "chainFee": 48000,
    "amount": 124376,
    "receiveAddress": "bc1pgnwmg7wplc09cm9fctgmgalu7l4synjh7khwzre9qlcvg5xy0k5qz9mwe3",
    "orderType": "rune-launchpad-mint",
    "id": "fc7f852d-31ff-4c32-a2c3-e8f6f47e797d",
    "additionalFee": null,
    "referral": null,
    "webhookUrl": null,
    "status": "ok",
    "state": "waiting-payment",
    "createdAt": {
        ".sv": "timestamp"
    }
}
```

{% endtab %}

{% tab title="500: Internal Server Error " %}

```json
{
    status: 'error',
    error: 'error reason'
}
```

{% endtab %}

{% tab title="400: Bad Request " %}

{% endtab %}
{% endtabs %}

```json
// Here's a sample payload you can POST to create a launchpad mint order
{
    "fee": 30,
    "count": 800,
    "id": "shitcoin•paradise",
    "receiveAddress": "bc1pgnwmg7wplc09cm9fctgmgalu7l4synjh7khwzre9qlcvg5xy0k5qz9mwe3"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ordinalsbot.com/runes/launchpad/mint.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
